## com.baidubce.services.moladb.model.transform
Class QueryResponseUnmarshaller

    java.lang.Object
      com.baidubce.services.moladb.model.transform.QueryResponseUnmarshaller

All Implemented Interfaces:
  Unmarshaller<QueryResponse,InputStream>

    public class QueryResponseUnmarshaller

extends Object
implements Unmarshaller<QueryResponse,InputStream>

Constructor Summary
`QueryResponseUnmarshaller(AbstractBceResponse response)`

Method Summary
`QueryResponse` `unmarshall(InputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponseUnmarshaller

    public QueryResponseUnmarshaller(AbstractBceResponse response)

Method Detail

### unmarshall

    public QueryResponse unmarshall(InputStream inputStream)
                             throws Exception

  Specified by:
    `unmarshall` in interface `Unmarshaller<QueryResponse,InputStream>`
  Throws:
    `Exception`

Copyright © 2016. All rights reserved.